Skip to Content
CheckoutAPI ReferenceSubscriptionsList a merchant's deployed subscription managers

List a merchant's deployed subscription managers

GET/merchants/{merchantId}/subscription-managers

List the merchant's deployed SubscriptionManager contracts per chain, with the supported tokens and their decimals.

Headers

HeaderDescriptionRequired
AuthorizationBearer token with your secret API keyyes

Path Parameters

NameTypeRequiredDescription
merchantIdstringyes

Example Request

Request

const response = await fetch('https://checkout-api.exodus-int.com/merchants/<merchantId>/subscription-managers', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer sk_live_xxxxxxxxxxxxxxxx',
  },
});

Responses

StatusDescription
200The deployed subscription manager contracts per chain.
400Validation error
401Missing or invalid authentication

Response body

FieldTypeRequiredDescription
objectenum: listyes
dataobject[]yes

data

FieldTypeRequiredDescription
objectenum: subscription_manageryes
chainstringyes
addressstringyes
versionstringyes
created_atstringyes
network_namestring | nullyes
tokensobjectyes

Example Response

{
  "object": "list",
  "data": [
    {
      "object": "subscription_manager",
      "chain": "eip155:1",
      "address": "0xa1b2c3d4e5f6789012345678901234567890abcd",
      "version": "v4",
      "created_at": "2026-02-19T12:02:18Z",
      "network_name": "Ethereum",
      "tokens": {
        "USDC": {
          "decimals": 6
        }
      }
    },
    {
      "object": "subscription_manager",
      "chain": "eip155:137",
      "address": "0xb2c3d4e5f67890123456789012345678901234cd",
      "version": "v3",
      "created_at": "2026-02-19T12:02:18Z",
      "network_name": "Polygon",
      "tokens": {
        "USDC": {
          "decimals": 6
        }
      }
    }
  ]
}

Error Response

Error (e.g. 400)

{
  "error": {
    "type": "validation_error",
    "message": "amount must be a positive number",
    "param": "amount"
  }
}

Start building

XO

Request Demo

Schedule a call with our team

Select a product
Arrow right

Start building
Grateful

Contact Us

We're here to help